<?php

if (!defined('XOOPS_ROOT_PATH')) exit();

class UserMailjobObject extends XoopsSimpleObject
{
	function UserMailjobObject()
	{
		$this->initVar('id', XOBJ_DTYPE_INT, '', true);
		$this->initVar('lastlogin', XOBJ_DTYPE_INT, '', false);
		$this->initVar('lastlogin_flag', XOBJ_DTYPE_BOOL, '0', true);
		$this->initVar('mailok', XOBJ_DTYPE_BOOL, '0', true);
		$this->initVar('activeuser', XOBJ_DTYPE_BOOL, '0', true);
		$this->initVar('registdate', XOBJ_DTYPE_INT, '0', false);
		$this->initVar('registdate_flag', XOBJ_DTYPE_BOOL, '0', true);
		$this->initVar('sender', XOBJ_DTYPE_STRING, '', false, 255);
		$this->initVar('email', XOBJ_DTYPE_STRING, '', false, 255);
		$this->initVar('subject', XOBJ_DTYPE_STRING, '', true, 255);
		$this->initVar('body', XOBJ_DTYPE_TEXT, '', true);
		$this->initVar('by_pm', XOBJ_DTYPE_BOOL, '0', true);
		$this->initVar('by_email', XOBJ_DTYPE_BOOL, '0', true);
	}
}

class UserMailjobHandler extends XoopsObjectGenericHandler
{
	var $mTable = "user_mailjob";
	var $mPrimary = "id";
	var $mClass = "UserMailjobObject";
}

?>
